Subject: bug#36903: 27.0.50; gnus registry vs. debbugs

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Sep 2019 15:24:21 +0200

Eric Abrahamsen <[email-masked]> writes:

> I can do that for in-tree code, and my own packages, but who knows what
> else is out there that might try something similar.

Well, we can't control out-of-tree code, but Gnus should (in general) be
able to generate a summary buffer without Gnus having been started -- I
mean, that's a design goal.

> But it's probably a better solution than anything else I can think of.
> I'd be inclined to just have them return an empty string. Another
> possibility would be to have the formatting code wrap the user-function
> funcall in `ignore-errors' and return an empty string there.

That doesn't sound very friendly when trying to debug errors...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no